version: '2'
services:
    crm_mvp_nginx:
        container_name: crm_mvp_nginx
        image: nginx:1.10
        ports:
            - "8091:80"
        volumes:
            - .:/var/www
            - ./site.conf:/etc/nginx/conf.d/site.conf
        links:
            - crm_mvp_php
    crm_mvp_php:
        container_name: crm_mvp_php
        build:
            context: ./
            dockerfile: dockerfile-php.docker
        volumes:
            - .:/var/www
        links:
            - crm_mvp_mysql
        environment:
            - "DB_PORT=3306"
            - "DB_HOST=crm_mvp_mysql"
    crm_mvp_mysql:
        container_name: crm_mvp_mysql
        image: mysql:5.7
        environment:
            - "MYSQL_ROOT_PASSWORD=secret"
        ports:
            - "33069:3306"
